Bug 996438 - Convert PCP init scripts to systemd
Convert PCP init scripts to systemd
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: pcp (Show other bugs)
20
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Nathan Scott
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-13 03:42 EDT by Marko Myllynen
Modified: 2015-02-20 15:41 EST (History)
4 users (show)

See Also:
Fixed In Version: pcp-3.10.2-2.el5
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-09-27 06:07:10 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Marko Myllynen 2013-08-13 03:42:21 EDT
Description of problem:
PCP init scripts should be converted to systemd, see:

http://fedoraproject.org/wiki/Packaging:Systemd
http://fedoraproject.org/wiki/Packaging:SysVInitScript
Comment 1 Mark Goodwin 2013-08-13 04:05:02 EDT
How would we manage this for systems without systemd (EPEL, etc)?
Configury would be rather messy wouldn't it? We might be better off
keeping the current scripts as-is for legacy distros, but then that will
eventually get messy too. Also, systemd's quest for world domination is
taking over syslog too (AFAIK), much surely affect something in PCP.

Cheers
Comment 2 Fedora Admin XMLRPC Client 2013-09-11 15:50:10 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 3 Fedora End Of Life 2013-09-16 12:32:33 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 20 development cycle.
Changing version to '20'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora20
Comment 4 Fedora Update System 2014-09-05 04:53:45 EDT
pcp-3.9.10-1.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/pcp-3.9.10-1.fc21
Comment 5 Fedora Update System 2014-09-05 04:54:34 EDT
pcp-3.9.10-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/pcp-3.9.10-1.fc20
Comment 6 Fedora Update System 2014-09-05 04:55:26 EDT
pcp-3.9.10-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/pcp-3.9.10-1.fc19
Comment 7 Fedora Update System 2014-09-05 04:56:19 EDT
pcp-3.9.10-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/pcp-3.9.10-1.el6
Comment 8 Fedora Update System 2014-09-05 04:57:12 EDT
pcp-3.9.10-1.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/pcp-3.9.10-1.el5
Comment 9 Fedora Update System 2014-09-05 20:59:49 EDT
Package pcp-3.9.10-1.fc21:
* should fix your issue,
* was pushed to the Fedora 21 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing pcp-3.9.10-1.fc21'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-10197/pcp-3.9.10-1.fc21
then log in and leave karma (feedback).
Comment 10 Fedora Update System 2014-09-15 12:00:08 EDT
pcp-3.9.10-4.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/pcp-3.9.10-4.fc19
Comment 11 Fedora Update System 2014-09-15 12:00:48 EDT
pcp-3.9.10-4.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/pcp-3.9.10-4.fc20
Comment 12 Fedora Update System 2014-09-15 12:01:30 EDT
pcp-3.9.10-4.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/pcp-3.9.10-4.fc21
Comment 13 Fedora Update System 2014-09-27 06:07:10 EDT
pcp-3.9.10-4.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 14 Fedora Update System 2014-10-31 04:02:10 EDT
pcp-3.10.0-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/pcp-3.10.0-1.fc20
Comment 15 Fedora Update System 2014-10-31 04:03:24 EDT
pcp-3.10.0-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/pcp-3.10.0-1.fc19
Comment 16 Fedora Update System 2014-11-10 13:27:07 EST
pcp-3.10.0-1.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 17 Fedora Update System 2014-11-10 13:27:39 EST
pcp-3.10.0-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 18 Fedora Update System 2015-01-26 12:09:56 EST
pcp-3.10.2-1.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/pcp-3.10.2-1.el5
Comment 19 Fedora Update System 2015-02-04 16:31:18 EST
pcp-3.10.2-2.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/pcp-3.10.2-2.el5
Comment 20 Fedora Update System 2015-02-20 15:41:54 EST
pcp-3.10.2-2.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.